org.eclipse.net4j.channel

## Class ChannelOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.net4j.buffer.BufferOutputStream
    - - org.eclipse.net4j.channel.ChannelOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class ChannelOutputStream
      extends BufferOutputStream

  An `output stream` that fragments the written byte sequence into fixed-sized `buffers` and passes them to configured `channel`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.buffer.BufferOutputStream

      `DEFAULT_PROPAGATE_CLOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelOutputStream(IChannel channel)`
    `ChannelOutputStream(IChannel channel, IBufferProvider bufferProvider)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.buffer.BufferOutputStream

      `close, ensureBuffer, flush, flushWithEOS, flushWithEOS, getError, isPropagateClose, setError, toString, write, write`

    - ### Methods inherited from class java.io.OutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelOutputStream

          public ChannelOutputStream(IChannel channel)

    - #### ChannelOutputStream

          public ChannelOutputStream(IChannel channel,
                                     IBufferProvider bufferProvider)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html